#!/bin/sh

if [ `whoami` != "fxa" ]; then
	echo 'Login as user fxa to run script'
	exit
fi

if [ "$FXA_LOCAL_SITE" == "" ]; then
	echo 'No FXA_LOCAL_SITE variable set'
	exit
fi

machost=`hostname | cut -c1-3`
if [ $machost != "px1" ]; then
	echo 'Script should be run from PX1'
	exit
fi

echo 'This script appends to a file in /awips/fxa/data.'
echo 'This script creates new files in /awips/fxa/htdocs/dataMon/infoPages.'
echo 'This should be run on data server px1.'
echo 'Local site is:  '$FXA_LOCAL_SITE

tdydate=`date +%Y%m%d`
echo 'Backup files have extension .old.'$tdydate

echo 'Creating new files.'
cat /awips/fxa/data/local.cfg /tmp/modis-setup/html-add/UW-local.cfg > /awips/fxa/data/$FXA_LOCAL_SITE-local.cfg.new.$tdydate

cd /awips/fxa/data
echo 'In'
echo `pwd`

echo 'Saving off old copy.'
mv local.cfg local.cfg.old.$tdydate

echo 'Installing new file.'
mv $FXA_LOCAL_SITE-local.cfg.new.$tdydate local.cfg
chmod 775 local.cfg

cd /tmp/modis-setup/html-add/html
echo 'In'
echo `pwd`

echo 'Adding necessary HTML files.'
mv *.html /awips/fxa/htdocs/dataMon/infoPages

echo 'Removing temporary file used in this script.'
cd /tmp/modis-setup/html-add
echo 'In'
echo `pwd`

rm -f UW-local.cfg
rm -f html/*.html

echo 'Done.'
