#!/bin/sh

if [ `whoami` != "fxa" ]; then
	echo 'Login as user fxa to run script'
	exit
fi

if [ "$FXA_LOCAL_SITE" == "" ]; then
	echo 'No FXA_LOCAL_SITE variable set'
	exit
fi

machost=`hostname | cut -c1-3`
if [ $machost != "px1" ]; then
	echo 'Script should be run from PX1'
	exit
fi

echo 'This script appends to files in customFiles.'
echo 'This should be run on data server px1.'
echo 'Local site is:  '$FXA_LOCAL_SITE

tdydate=`date +%Y%m%d`
echo 'Backup files have extension .old.'$tdydate

echo 'Creating new files.'

cat /data/fxa/customFiles/$FXA_LOCAL_SITE-localDataKeys.txt /tmp/modis-setup/UW-sep.txt /tmp/modis-setup/UW-localDataKeys.txt > /data/fxa/customFiles/$FXA_LOCAL_SITE-localDataKeys.txt.new.$tdydate
cat /data/fxa/customFiles/$FXA_LOCAL_SITE-localDepictKeys.txt /tmp/modis-setup/UW-sep.txt /tmp/modis-setup/UW-localDepictKeys.txt > /data/fxa/customFiles/$FXA_LOCAL_SITE-localDepictKeys.txt.new.$tdydate
cat /data/fxa/customFiles/$FXA_LOCAL_SITE-localImageStyle.txt /tmp/modis-setup/UW-sep.txt /tmp/modis-setup/UW-localImageStyle.txt > /data/fxa/customFiles/$FXA_LOCAL_SITE-localImageStyle.txt.new.$tdydate
cat /data/fxa/customFiles/$FXA_LOCAL_SITE-localProductButtons.txt /tmp/modis-setup/UW-sep.txt /tmp/modis-setup/UW-localProductButtons.txt > /data/fxa/customFiles/$FXA_LOCAL_SITE-localProductButtons.txt.new.$tdydate
cat /data/fxa/customFiles/$FXA_LOCAL_SITE-otherSatMenus.txt /tmp/modis-setup/UW-sep.txt /tmp/modis-setup/UW-otherSatMenus.txt > /data/fxa/customFiles/$FXA_LOCAL_SITE-otherSatMenus.txt.new.$tdydate

cd /data/fxa/customFiles

echo 'Saving off old copies.'
mv $FXA_LOCAL_SITE-localDataKeys.txt $FXA_LOCAL_SITE-localDataKeys.txt.old.$tdydate
mv $FXA_LOCAL_SITE-localDepictKeys.txt $FXA_LOCAL_SITE-localDepictKeys.txt.old.$tdydate
mv $FXA_LOCAL_SITE-localImageStyle.txt $FXA_LOCAL_SITE-localImageStyle.txt.old.$tdydate
mv $FXA_LOCAL_SITE-localProductButtons.txt $FXA_LOCAL_SITE-localProductButtons.txt.old.$tdydate
mv $FXA_LOCAL_SITE-otherSatMenus.txt $FXA_LOCAL_SITE-otherSatMenus.txt.old.$tdydate

echo 'Installing new files.'
mv $FXA_LOCAL_SITE-localDataKeys.txt.new.$tdydate $FXA_LOCAL_SITE-localDataKeys.txt
mv $FXA_LOCAL_SITE-localDepictKeys.txt.new.$tdydate $FXA_LOCAL_SITE-localDepictKeys.txt
mv $FXA_LOCAL_SITE-localImageStyle.txt.new.$tdydate $FXA_LOCAL_SITE-localImageStyle.txt
mv $FXA_LOCAL_SITE-localProductButtons.txt.new.$tdydate $FXA_LOCAL_SITE-localProductButtons.txt
mv $FXA_LOCAL_SITE-otherSatMenus.txt.new.$tdydate $FXA_LOCAL_SITE-otherSatMenus.txt

echo 'Removing temporary files used in this script.'
cd /tmp/modis-setup
rm -f UW-localDataKeys.txt
rm -f UW-localDepictKeys.txt
rm -f UW-localImageStyle.txt
rm -f UW-localProductButtons.txt
rm -f UW-otherSatMenus.txt
rm -f UW-sep.txt

echo 'Done.'
echo 'Remember to run localization.'
exit
