#!/bin/sh

if [ `whoami` != "fxa" ]; then
	echo 'Login as user fxa to run script'
	exit
fi

if [ "$FXA_LOCAL_SITE" == "" ]; then
	echo 'No FXA_LOCAL_SITE variable set'
	exit
fi

machost=`hostname | cut -c1-3`
if [ $machost != "px1" ]; then
	echo 'Script should be run from PX1'
	exit
fi

echo 'This script appends to a file in customFiles.'
echo 'This should be run on data server px1.'
echo 'Local site is:  '$FXA_LOCAL_SITE

tdydate=`date +%Y%m%d`
echo 'Backup files have extension .old.'$tdydate

echo 'Make directories to be purged.'
/tmp/modis-setup/makedirs.sh

echo 'Make data monitor files, add to Local Data page.'
/tmp/modis-setup/html-add/html-add.sh

echo 'Creating new file.'
cat /data/fxa/customFiles/localPurgeInfo.txt /tmp/modis-setup/UW-localPurgeInfo.txt > /data/fxa/customFiles/$FXA_LOCAL_SITE-localPurgeInfo.txt.new.$tdydate

cd /data/fxa/customFiles
echo 'In'
echo `pwd`

echo 'Saving off old copy.'
mv localPurgeInfo.txt localPurgeInfo.txt.old.$tdydate

echo 'Installing new file.'
mv $FXA_LOCAL_SITE-localPurgeInfo.txt.new.$tdydate localPurgeInfo.txt

echo 'Removing temporary file used in this script.'
cd /tmp/modis-setup
echo 'In'
echo `pwd`

rm -f UW-localPurgeInfo.txt

echo 'Done.'
echo 'Remember to run localization and restart purgeProcess.'
exit
